<h2>My Heroes</h2>
<ul class="heroes">
    <!-- <li *ngFor="let hero of heroes" [class.selected]="hero === selectedHero" (click)="onSelect(hero)">
        <span class="badge">{{hero.id}}</span> {{hero.name}}
    </li> -->
    <li *ngFor="let hero of heroes">
        <a routerLink="/detail/{{hero.id}}"><span class="badge">{{hero.id}}</span> {{hero.name}}</a>
    </li>
</ul>

<!-- <app-user-detail [hero]="selectedHero"></app-user-detail> -->
<app-messages></app-messages>